Hashrate IndexAPI DocumentationAsic

Get ASIC Price Per Model

GET
/asic/price-per-model

/asic/price-per-model has rate limitation:

Initially, the API allows for a burst of 20 requests, and afterward, it gradually restores 1 request every 15 seconds until reaching the maximum allowable limit of 20. This limitation is imposed to manage and control the rate at which requests can be made to the API, preventing potential misuse or excessive use of resources.

ASIC Price Per Model

This endpoint provides current prices for various ASIC models from different manufacturers. This allows buyers to compare prices across different suppliers and choose the most cost-effective option.

Authorization

ApiKeyAuth
X-Hi-Api-Key<token>

In: header

Query Parameters

manufacturerSlug?string

ASIC manufacturer slug. Refer to the Get ASIC manufacturers to get the list of allowed slugs

Default"all"

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/asic/price-per-model?manufacturerSlug=bitmain"
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ASICPriceData.json",  "data": [    {      "manufacturer": "string",      "model": "string",      "price": 0.1,      "timestamp": "2019-08-24T14:15:22Z"    }  ]}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}